#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		svers	2.0
#-----------------------------------------------------------------------------
Name		:	geocode-glib
Version		:	3.26.4
Release		:	17.2.0.rel%{?dist}
Summary		:	Geocoding helper library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://www.gnome.org/
			# http://download.gnome.org/sources/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	json-glib
BuildRequires	:	gobject-introspection
BuildRequires	:	libsoup
BuildRequires	:	meson
BuildRequires	:	ninja

#-----------------------------------------------------------------------------
%description
'%{name}' is a convenience library for the geocoding (finding longitude,
and latitude from an address) and reverse geocoding (finding an address from
coordinates). It uses Nominatim service to achieve that. It also caches
(reverse-)geocoding requests for faster results and to avoid unnecessary server

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS NEWS README
%license COPYING.LIB
%{_libdir}/lib%{name}-2.so.0*
%{_libdir}/girepository-1.0/GeocodeGlib-%{svers}.typelib
%{_datadir}/icons/hicolor/scalable/places/*.svg
 

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that use %{name}.
 
 
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/%{name}-2/*.{html,png}
%doc %{_datadir}/gtk-doc/html/%{name}-2/style.css
%{_includedir}/%{name}-%{svers}/%{name}/geocode-*.h
%{_libdir}/lib%{name}-2.so
%{_libdir}/pkgconfig/%{name}-%{svers}.pc
%{_datadir}/gir-1.0/GeocodeGlib-%{svers}.gir

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-D soup2=false					\
	-D enable-installed-tests=false			\
	build

%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja							\
	-C build					\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
	-C build					\
	install

#-----------------------------------------------------------------------------
%changelog
